package cn.wise.sc.acquisition.business.service;

import cn.wise.sc.acquisition.business.entity.TMineWorkemployees;
import cn.wise.sc.acquisition.business.model.query.TMineWorkemployeesQuery;
import cn.wise.sc.acquisition.business.wrapper.page.Query;
import com.baomidou.mybatisplus.extension.api.R;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author renchao
 * @since 2021-05-17
 */
public interface ITMineWorkemployeesService extends IService<TMineWorkemployees> {

    R getPage(TMineWorkemployeesQuery tMineWorkemployeesQuery, Query query);

    R getByQuery(TMineWorkemployeesQuery tMineWorkemployeesQuery);

    R insertTMineWorkemployees(TMineWorkemployeesQuery query);

    R updateByUid(TMineWorkemployeesQuery query);
}
